Adding additonal PHP versions to ISPConfig 3.1dev

Discussion in 'HOWTO-Related Questions' started by BrettP, Sep 12, 2016.

  1. BrettP

    BrettP New Member

    Can anyone point me in the right direction? I'm trying to add PHP 5.6 as an additional PHP Version along side of the default PHP 7 installed with ISPConfig 3.1dev on Ubuntu 16.0.4.
  2. till

    till Super Moderator Staff Member ISPConfig Developer

    You can use these steps:

    sudo -
    apt-get install build-essential nano
    apt-get install libfcgi-dev libfcgi0ldbl libjpeg62-dbg libmcrypt-dev libssl-dev libc-client2007e libc-client2007e-dev libxml2-dev libbz2-dev libcurl4-openssl-dev libjpeg-dev libpng12-dev libfreetype6-dev libkrb5-dev libpq-dev libxml2-dev libxslt1-dev
    ln -s /usr/lib/libc-client.a /usr/lib/x86_64-linux-gnu/libc-client.a
    mkdir /opt/php-5.6.25
    mkdir /usr/local/src/php5-build
    cd /usr/local/src/php5-build
    wget -O php-5.6.25.tar.bz2
    tar jxf php-5.6.25.tar.bz2
    cd php-5.6.25/
    ./configure --prefix=/opt/php-5.6.25 --with-pdo-pgsql --with-zlib-dir --with-freetype-dir --enable-mbstring --with-libxml-dir=/usr --enable-soap --enable-calendar --with-curl --with-mcrypt --with-zlib --with-gd --with-pgsql --disable-rpath --enable-inline-optimization --with-bz2 --with-zlib --enable-sockets --enable-sysvsem --enable-sysvshm --enable-pcntl --enable-mbregex --enable-exif --enable-bcmath --with-mhash --enable-zip --with-pcre-regex --with-mysql --with-pdo-mysql --with-mysqli --with-jpeg-dir=/usr --with-png-dir=/usr --enable-gd-native-ttf --with-openssl --with-fpm-user=www-data --with-fpm-group=www-data --with-libdir=/lib/x86_64-linux-gnu --enable-ftp --with-imap --with-imap-ssl --with-gettext --with-xmlrpc --with-xsl --with-kerberos --enable-fpm
    make install
    cp /usr/local/src/php5-build/php-5.6.25/php.ini-production /opt/php-5.6.25/lib/php.ini
    and then use this guide:

    starting from the command:

    cp /opt/php-7.0.7/etc/php-fpm.conf.default /opt/php-7.0.7/etc/php-fpm.conf

    just ensure to replace the paths in all commands: /opt/php-7.0.7 = /opt/php-5.6.25 in your installation.
  3. BrettP

    BrettP New Member

    Thank you for the quick response, I'll give it a try as soon as possible.
  4. BrettP

    BrettP New Member

    Ran into a problem with the file. Any ideas here?
    '/opt/php-5.6.25/etc/php-fpm.d/www.conf.default': No such file or directory
  5. omniasoft

    omniasoft New Member

    try using FAST-CGI under ISPConfig and not php-fpm
    other way (that work) is to use remi/php70

Share This Page